//
//  KMProximityEvent.h
//  Koupon
//
//  Created by Brian Reinhart on 4/11/14.
//  Copyright (c) 2014 Brian Reinhart. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <FYX/FYX.h>
#import <FYX/FYXVisit.h>
#import "KMRequest.h"

@interface KMProximityEvent : NSObject

/** The Gimbal FYXVisit object.  See the Gimbal Documentation for details of this class.
 */
@property (nonatomic, strong) FYXVisit *visit;
/** The "Received Signal Strength Indication".  This is a negative number that becomes larger with a stronger signal.
 */
@property (nonatomic, strong) NSNumber *RSSI;
/** The time at which this event occured
 */
@property (nonatomic, strong) NSDate *time;
/** The KMRequest object that the SDK took the liberty of creating for you.
 We strongly suggest that you execute this request, but we do not do it for you.  We give you the flexibility to implement the call to our servers however you please.  
 
 The KMRequest object, when executed, will make a request to the "reportAppEvent" api with the details of the event that was fired.
 */
@property (nonatomic, strong) KMRequest *request;

-(id) initWithVisit: (FYXVisit*) visit Request: (KMRequest*) request Time:(NSDate*) time RSSI: (NSNumber*) RSSI;
@end
